// If a weapon's custom parameter is set to {invalidCritical: true}, the weapon will not be able to make critical attacks in battle.

(function(){
	var alias = AbilityCalculator.getCritical;
	AbilityCalculator.getCritical = function(unit, weapon) {
		if (weapon.custom.invalidCritical === true) {
			return 0;
		}
		else {
			return alias.call(this, unit, weapon);
		}
	}
})();